Bug 681383 - [abrt] gpodder-2.12-2.fc14: model.py:199:replace_from_channel:AttributeError: 'NoneType' object has no attribute 'get_all_episodes'
Summary: [abrt] gpodder-2.12-2.fc14: model.py:199:replace_from_channel:AttributeError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:914ba9ed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-01 23:58 UTC by Kerry
Modified: 2011-03-11 06:10 UTC (History)
2 users (show)

Fixed In Version: gpodder-2.13-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 20:48:54 UTC


Attachments (Terms of Use)
File: backtrace (815 bytes, text/plain)
2011-03-01 23:58 UTC, Kerry
no flags Details

Description Kerry 2011-03-01 23:58:39 UTC
abrt version: 1.1.17
architecture: i686
cmdline: /usr/bin/python /usr/bin/gpodder
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.35.11-83.fc14.i686.PAE
package: gpodder-2.12-2.fc14
reason: model.py:199:replace_from_channel:AttributeError: 'NoneType' object has no attribute 'get_all_episodes'
release: Fedora release 14 (Laughlin)
time: 1299023586
uid: 500

backtrace
-----
model.py:199:replace_from_channel:AttributeError: 'NoneType' object has no attribute 'get_all_episodes'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gpodder/gui.py", line 2563, in update
    self.episode_list_model.replace_from_channel(self.active_channel, *additional_args)
  File "/usr/lib/python2.7/site-packages/gpodder/gtkui/model.py", line 199, in replace_from_channel
    episodes = channel.get_all_episodes()
AttributeError: 'NoneType' object has no attribute 'get_all_episodes'

Local variables in innermost frame:
downloading: <bound method gPodder.episode_is_downloading of <gpodder.gui.gPodder at /gui at 0xa1e5f6c>>
self: <EpisodeListModel object at 0xa1ee9b4 (GtkListStore at 0xa277e50)>
include_description: True
treeview: None
generate_thumbnails: True
channel: None

How to reproduce
-----
1. Added podcast. Cancel on list of episodes to download. Delete podcast. Gpodder remained running but was unresponsive.
2.
3.

Comment 1 Kerry 2011-03-01 23:58:41 UTC
Created attachment 481747 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2011-03-02 08:53:28 UTC
Reported upstream: https://bugs.gpodder.org/show_bug.cgi?id=1291

Comment 3 Ville-Pekka Vainio 2011-03-02 09:40:36 UTC
The bug was already fixed: http://repo.or.cz/w/gpodder.git/commit/5474a8a4da9b565564ab4d50b3970d3ca1520606

gpodder 2.13 is in updates-testing now, I might add this patch to that package.

Comment 4 Fedora Update System 2011-03-02 10:28:01 UTC
Package gpodder-2.13-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpodder-2.13-2.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gpodder-2.13-2.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-03-02 10:29:30 UTC
Package gpodder-2.13-2.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpodder-2.13-2.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gpodder-2.13-2.fc13
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-03-02 10:30:46 UTC
Package gpodder-2.13-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpodder-2.13-2.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gpodder-2.13-2.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-03 03:14:09 UTC
gpodder-2.13-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gpodder-2.13-2.fc15

Comment 8 Fedora Update System 2011-03-10 20:48:49 UTC
gpodder-2.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-10 20:49:42 UTC
gpodder-2.13-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-11 06:10:29 UTC
gpodder-2.13-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.